// Monastery Shaders
// Thanks to Ti6 for the Textures

textures/Monastery/Monastery_sky
{
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512
	q3map_surfacelight 230
        q3map_sun 242 205 133 500 130 55
	skyparms env/Monastery_sky/Monastery_sky - -

}

textures/Monastery/Hauswand
{       
        qer_editorimage textures/monastery/mauer.tga

        q3map_surfacelight 500	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/monastery/mauer.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
	

textures/Ner0/Palmenblatt
{
      qer_editorimage textures/monastery/Palmenblatt.tga
	cull none
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip
	cull disable
	surfaceparm trans 
	{
		map textures/monastery/Palmenblatt.tga
		alphafunc GE128
		rgbGen vertex
	}
}

textures/Ner0/Brunnen
{
	qer_editorimage textures/monastery/waterfall.tga
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	cull none
	{
		map textures/monastery/waterfall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcmod scroll 0 -1.5
	}
}

textures/Ner0/Brunnen_Slow
{
	qer_editorimage textures/monastery/waterfall.tga
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	cull none
	{
		map textures/monastery/waterfall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcmod scroll 0 -0.8
	}
}


textures/Ner0/bush1
{
	qer_editorimage textures/monastery/bush1.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	q3map_bounce .1	

	{
		map textures/Monastery/bush1.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}

	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/Ner0/roses
{
	qer_editorimage textures/monastery/roses.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	q3map_bounce .1	

	{
		map textures/Monastery/roses.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}

	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/Ner0/flame
{

	qer_editorimage textures/Monastery/flame1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 2000
	

	{
		animMap 10 textures/Monastery/flame1.tga textures/Monastery/flame2.tga textures/Monastery/flame3.tga textures/Monastery/flame4.tga textures/Monastery/flame5.tga textures/Monastery/flame6.tga textures/Monastery/flame7.tga textures/Monastery/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/Monastery/flame2.tga textures/Monastery/flame3.tga textures/Monastery/flame4.tga textures/Monastery/flame5.tga textures/Monastery/flame6.tga textures/Monastery/flame7.tga textures/Monastery/flame8.tga textures/Monastery/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/Monastery/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/Ner0/Zaun
{
	qer_editorimage textures/Monastery/Zaun.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans	
	nomipmaps
	nopicmip
	cull none
	{
		map textures/Monastery/Zaun.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
//	{
//		map $lightmap 
//		blendfunc filter
//		depthFunc equal
//	}
}


textures/Ner0/Plane
{   
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm nomarks
	surfaceparm alphashadow
	cull none
        {
		map textures/sweetnutz/sn_canvas1.jpg
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc filter
		rgbGen vertex
	}
}

textures/Ner0/Gras
{	
    qer_editorimage textures/Monastery/Gras.tga
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	nopicmip
	cull none
//	q3map_surfacelight 30
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map textures/Monastery/Gras.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
//		rgbGen vertex
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}

textures/Ner0/Blumen1
{	
    qer_editorimage textures/Monastery/Blumen1.tga
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	nopicmip
	cull none
//	q3map_surfacelight 30
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map textures/Monastery/Blumen1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
//		rgbGen vertex
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}